[oe,meta-oe,11/16] geany-plugins: Add dependency on fribidi

Message ID 20180509190011.30006-11-raj.khem@gmail.com
State New
Headers show
Series
  • [oe,meta-oe,01/16] poppler-data: Upgrade to 0.4.9
Related show

Commit Message

Khem Raj May 9, 2018, 7 p.m.
Its needed by addons

Fixes

ld: cannot find -lfribidi
| collect2: error: ld returned 1 exit status
| make[3]: *** [Makefile:569: addons.la] Error 1

Signed-off-by: Khem Raj <raj.khem@gmail.com>

---
 meta-oe/recipes-devtools/geany/geany-plugins_1.31.bb | 1 +
 1 file changed, 1 insertion(+)

-- 
2.17.0

-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Patch

diff --git a/meta-oe/recipes-devtools/geany/geany-plugins_1.31.bb b/meta-oe/recipes-devtools/geany/geany-plugins_1.31.bb
index 3b5b7ce94e..d8f2f894bb 100644
--- a/meta-oe/recipes-devtools/geany/geany-plugins_1.31.bb
+++ b/meta-oe/recipes-devtools/geany/geany-plugins_1.31.bb
@@ -11,6 +11,7 @@  python () {
 }
 
 DEPENDS = " \
+    fribidi \
     geany \
     libxml2 \
     libsoup-2.4 \